<template>
  <div>
    <CorpList v-show="activeName=='CorpList'" ref="corpList" />
  </div>
</template>

<script>
import CorpList from './components/list'
export default {
  components: {
    CorpList: CorpList
  },
  data() {
    return {
      activeName: 'CorpList'
    }
  },
  watch: {
    activeName(val) {
      if (val == 'CorpList') {
        this.$refs.corpList.getQuery()
      }
    }
  }
}
</script>

<style scoped>
</style>
